corda / net.corda.core.contracts / TransactionType / NotaryChange / verifyTransaction

# verifyTransaction

`fun verifyTransaction(tx: LedgerTransaction): Unit`

Overrides TransactionType.verifyTransaction

Check that the difference between inputs and outputs is only the notary field, and that all required signing public keys are present.

### Exceptions

`TransactionVerificationException.InvalidNotaryChange` - if the validity check fails.